#include <bits/stdc++.h>
using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    
    int n;
    cin >> n;
    string str, rev;
    cin >> str;
    rev = str;
    reverse(rev.begin(), rev.end());
    
    // zrataj backlinky pre rev
    vector<int> back(n+1);
    back[0] = -1;
    for (int i = 0; i < n; i++) {
        int curr = back[i];
        while (curr != -1 && rev[curr] != rev[i]) {
            curr = back[curr];
        }
        back[i+1] = curr + 1;
    }
    
    // zrataj KMP stav po precitani str
    int curr = 0;
    for (int i = 0; i < n; i++) {
        if (curr == n) {
            curr = back[curr];
        }
        while (curr != -1 && str[i] != rev[curr]) {
            curr = back[curr];
        }
        curr++;
    }
    
    cout << n - curr << "\n";
    return 0;
}