#include <bits/stdc++.h>
using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

map<char, int> ralph = {{'A', 0}, {'C', 1}, {'G', 2}, {'T', 3}};

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    
    string a, b;
    cin >> a >> b;
    
    vector<vector<int>> matrix(4, vector<int>(4, 0));
    
    
    for (int i = 0; i < a.size(); i++) {
        int prve = ralph[a[i]];
        int druhe = ralph[b[i]];
        matrix[prve][druhe]++;
    }
    
    int result = 0;
    
    for (int i = 0; i < 4; i++) {
        for (int j = i+1; j < 4; j++) {
            int count = min(matrix[i][j], matrix[j][i]);
            result += count;
            matrix[i][j] -= count;
            matrix[j][i] -= count;
        }
    }
    
    for (int i = 0; i < 4; i++) {
        for (int j = 0; j < 4; j++) {
            if (i == j) continue;
            for (int k = 0; k < 4; k++) {
                if (k == i || k == j) continue;
                
                int count = min(matrix[i][j], min(matrix[j][k], matrix[k][i]));
                result += count * 2;
                matrix[i][j] -= count;
                matrix[j][k] -= count;
                matrix[k][i] -= count;
            }
        }
    }
    
    int rest = 0;
    for (int i = 0; i < 4; i++) {
        for (int j = 0; j < 4; j++) {
            if (i != j) rest += matrix[i][j];
        }
    }
    
    result += rest / 4 * 3;
    cout << result << endl;
    
    return 0;
}